Name:         intelligentmirror
Version:      1.0.1
Release:      3
Summary:      Squid storeUrlRewriter to cache rpm/deb packages
License:      GPLv2+
Group:        Applications/Internet
URL:          https://fedorahosted.org/intelligentmirror
Source:       %{name}-%{version}.tar.gz
BuildRoot:    %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildArch:    noarch
Requires:     python-iniparse
Requires:     squid


%description
IntelligentMirror can be used to create a mirror of static HTTP content on
your local network. When you download something (say a software package)
from Internet, it is stored/cached on a local machine on your network and
subsequent downloads of that particular software package are supplied from
the storage/cache of the local machine. This facilitate the efficient usage
of bandwidth and also reduces the average download time. 


%prep
%setup


%install
rm -rf $RPM_BUILD_ROOT

install -m 755 -d ${RPM_BUILD_ROOT}%{_sysconfdir}
install -m 644 %{name}.conf -T ${RPM_BUILD_ROOT}%{_sysconfdir}/%{name}.conf

install -m 755 -d ${RPM_BUILD_ROOT}%{_datadir}/%{name}/
install -m 644 %{name}/* -t ${RPM_BUILD_ROOT}%{_datadir}/%{name}/

install -m 744 -d ${RPM_BUILD_ROOT}%{_mandir}/man8/
install -m 644 %{name}.8.gz -T ${RPM_BUILD_ROOT}%{_mandir}/man8/%{name}.8.gz

install -m 755 -d ${RPM_BUILD_ROOT}%{_localstatedir}/log/squid/
touch ${RPM_BUILD_ROOT}%{_localstatedir}/log/squid/%{name}.log

install -m 755 -d ${RPM_BUILD_ROOT}%{_sysconfdir}/squid/
cat > ${RPM_BUILD_ROOT}%{_sysconfdir}/squid/%{name}.conf <<EOF
storeurl_rewrite_program %{_bindir}/python %{_datadir}/%{name}/%{name}.py
storeurl_rewrite_children 15
acl store_rewrite_list urlpath_regex -i .rpm$
acl store_rewrite_list urlpath_regex -i .deb$
storeurl_access allow store_rewrite_list
storeurl_access deny all
EOF

%clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%doc COPYING README
%{_datadir}/%{name}
%config(noreplace) %{_sysconfdir}/squid/%{name}.conf
%config(noreplace) %{_sysconfdir}/%{name}.conf
%{_mandir}/man8/%{name}.8*
%ghost %{_localstatedir}/log/squid/%{name}.log


%changelog
* Sat Dec 13 2008 bbbush <bbbush.yuan@gmail.com> - 1.0.1-3
- move python files to /usr/share/intelligentmirror/
- install default config

* Sat Dec 13 2008 bbbush <bbbush.yuan@gmail.com> - 1.0.1-2
- modify spec so one can build with normal user

* Wed Sep 10 2008 Kubir Saini <kulbirsaini@students.iiit.ac.in>
- IntelligentMirror now uses squid's StoreUrlRewriter instead of redirect_program plugin.
- IntelligentMirror is now faster by almost 300%. No replication is done now. No daemon
- forking either. But this version works only with squid 2.7 .


